Skip to main content
Server path: /kibana-alerting | Type: Application | PCID required: Yes

Tools

ToolDescription
kibana_alerting_delete_actions_connector_idDelete a connector
kibana_alerting_delete_maintenance_window_idDelete a maintenance window.
kibana_alerting_delete_rule_idDelete a rule
kibana_alerting_delete_rule_ruleid_snooze_schedule_scheduleidDelete a snooze schedule for a rule
kibana_alerting_delete_rules_backfill_idDelete a backfill by ID
kibana_alerting_get_actions_connector_idGet connector information
kibana_alerting_get_actions_connector_oauth_callbackHandle OAuth callback
kibana_alerting_get_actions_connector_typesGet connector types
kibana_alerting_get_actions_connectorsGet all connectors
kibana_alerting_get_healthGet the alerting framework health
kibana_alerting_get_maintenance_window_findSearch for a maintenance window.
kibana_alerting_get_maintenance_window_idGet maintenance window details.
kibana_alerting_get_rule_idGet rule details
kibana_alerting_get_rule_typesGet the rule types
kibana_alerting_get_rules_backfill_idGet a backfill by ID
kibana_alerting_get_rules_findGet information about rules
kibana_alerting_patch_maintenance_window_idUpdate a maintenance window.
kibana_alerting_post_actions_connector_idCreate a connector
kibana_alerting_post_actions_connector_id_executeRun a connector
kibana_alerting_post_maintenance_windowCreate a maintenance window.
kibana_alerting_post_maintenance_window_id_archiveArchive a maintenance window.
kibana_alerting_post_maintenance_window_id_unarchiveUnarchive a maintenance window.
kibana_alerting_post_rule_idCreate a rule
kibana_alerting_post_rule_id_disableDisable a rule
kibana_alerting_post_rule_id_enableEnable a rule
kibana_alerting_post_rule_id_mute_allMute all alerts
kibana_alerting_post_rule_id_snooze_scheduleSchedule a snooze for the rule
kibana_alerting_post_rule_id_unmute_allUnmute all alerts
kibana_alerting_post_rule_id_update_api_keyUpdate the API key for a rule
kibana_alerting_post_rule_rule_id_alert_alert_id_muteMute an alert
kibana_alerting_post_rule_rule_id_alert_alert_id_unmuteUnmute an alert
kibana_alerting_post_rules_backfill_findFind backfills for rules
kibana_alerting_post_rules_backfill_scheduleSchedule a backfill for rules
kibana_alerting_put_actions_connector_idUpdate a connector
kibana_alerting_put_rule_idUpdate a rule

kibana_alerting_delete_actions_connector_id

Delete a connector Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesAn identifier for the connector.

kibana_alerting_delete_maintenance_window_id

Delete a maintenance window. Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the maintenance window to be deleted.

kibana_alerting_delete_rule_id

Delete a rule Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the rule.

kibana_alerting_delete_rule_ruleid_snooze_schedule_scheduleid

Delete a snooze schedule for a rule Parameters:
ParameterTypeRequiredDefaultDescription
ruleIdstringYesThe identifier for the rule.
scheduleIdstringYesThe identifier for the snooze schedule.

kibana_alerting_delete_rules_backfill_id

Delete a backfill by ID Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the backfill.

kibana_alerting_get_actions_connector_id

Get connector information Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesAn identifier for the connector.

kibana_alerting_get_actions_connector_oauth_callback

Handle OAuth callback Parameters:
ParameterTypeRequiredDefaultDescription
codestringNoThe authorization code returned by the OAuth provider.
statestringNoThe state parameter for CSRF protection.
errorstringNoError code if the authorization failed.
error_descriptionstringNoHuman-readable error description.
session_statestringNoSession state from the OAuth provider (e.g., Microsoft).

kibana_alerting_get_actions_connector_types

Get connector types Parameters:
ParameterTypeRequiredDefaultDescription
feature_idstringNoA filter to limit the retrieved connector types to those that support a specific feature (such as alerting or cases).

kibana_alerting_get_actions_connectors

Get all connectors

kibana_alerting_get_health

Get the alerting framework health

kibana_alerting_get_maintenance_window_find

Search for a maintenance window. Parameters:
ParameterTypeRequiredDefaultDescription
titlestringNoThe title of the maintenance window.
created_bystringNoThe user who created the maintenance window.
statusstring[]NoThe status of the maintenance window. It can be “running”, “upcoming”, “finished”, “archived”, or “disabled”.
pagenumberNoThe page number to return.
per_pagenumberNoThe number of maintenance windows to return per page.

kibana_alerting_get_maintenance_window_id

Get maintenance window details. Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the maintenance window.

kibana_alerting_get_rule_id

Get rule details Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the rule.

kibana_alerting_get_rule_types

Get the rule types

kibana_alerting_get_rules_backfill_id

Get a backfill by ID Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the backfill.

kibana_alerting_get_rules_find

Get information about rules Parameters:
ParameterTypeRequiredDefaultDescription
per_pagenumberNoThe number of rules to return per page.
pagenumberNoThe page number to return.
searchstringNoAn Elasticsearch simple_query_string query that filters the objects in the response.
default_search_operatorstringNoThe default operator to use for the simple_query_string.
search_fieldsstring[]NoThe fields to perform the simple_query_string parsed query against.
sort_fieldstringNoDetermines which field is used to sort the results. The field must exist in the attributes key of the response.
sort_orderstringNoDetermines the sort order.
has_referenceobjectNoFilters the rules that have a relation with the reference objects with a specific type and identifier.
fieldsstring[]NoThe fields to return in the attributes key of the response.
filterstringNoA KQL string that you filter with an attribute from your saved object. It should look like savedObjectType.attributes.title: "myTitle". However, if you used a direct attribute of a saved object, such as updatedAt, you must define your filter, for example, savedObjectType.updatedAt > 2018-12-22.
filter_consumersstring[]NoFilter Consumers

kibana_alerting_patch_maintenance_window_id

Update a maintenance window. Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe id value
enabledbooleanNoWhether the current maintenance window is enabled. Disabled maintenance windows do not suppress notifications.
scheduleobjectNoThe schedule value
scopeobjectNoThe scope value
titlestringNoThe name of the maintenance window. While this name does not have to be unique, a distinctive name can help you identify a specific maintenance window.

kibana_alerting_post_actions_connector_id

Create a connector Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesAn identifier for the connector.
configobjectNoThe connector configuration details.
connector_type_idstringYesThe type of connector.
namestringYesThe display name for the connector.
secretsobjectNoThe secrets value

kibana_alerting_post_actions_connector_id_execute

Run a connector Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesAn identifier for the connector.
paramsobjectYesThe params value

kibana_alerting_post_maintenance_window

Create a maintenance window. Parameters:
ParameterTypeRequiredDefaultDescription
enabledbooleanNoWhether the current maintenance window is enabled. Disabled maintenance windows do not suppress notifications.
scheduleobjectYesThe schedule value
scopeobjectNoThe scope value
titlestringYesThe name of the maintenance window. While this name does not have to be unique, a distinctive name can help you identify a specific maintenance window.

kibana_alerting_post_maintenance_window_id_archive

Archive a maintenance window. Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the maintenance window to be archived.

kibana_alerting_post_maintenance_window_id_unarchive

Unarchive a maintenance window. Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the maintenance window to be unarchived.

kibana_alerting_post_rule_id

Create a rule Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the rule. If it is omitted, an ID is randomly generated.
actionsobject[]NoThe actions value
alert_delayobjectNoIndicates that an alert occurs only when the specified number of consecutive runs met the rule conditions.
artifactsobjectNoThe artifacts value
consumerstringYesThe name of the application or feature that owns the rule. For example: alerts, apm, discover, infrastructure, logs, metrics, ml, monitoring, securitySolution, siem, stackAlerts, or uptime.
enabledbooleanNoIndicates whether you want to run the rule on an interval basis after it is created.
flappingobjectNoWhen flapping detection is turned on, alerts that switch quickly between active and recovered states are identified as “flapping” and notifications are reduced.
namestringYesThe name of the rule. While this name does not have to be unique, a distinctive name can help you identify a rule.
notify_whenstringNoIndicates how often alerts generate actions. Valid values include: onActionGroupChange: Actions run when the alert status changes; onActiveAlert: Actions run when the alert becomes active and at each check interval while the rule conditions are met; onThrottleInterval: Actions run when the alert becomes active and at the interval specified in the throttle property while the rule conditions are met. NOTE: You cannot specify notify_when at both the rule and action level. The recommended method is to set it for each action. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values.
paramsobjectNoThe parameters for the rule.
rule_type_idstringYesThe rule type identifier.
scheduleobjectYesThe check interval, which specifies how frequently the rule conditions are checked.
tagsstring[]NoThe tags for the rule.
throttlestringNoUse the throttle property in the action frequency object instead. The throttle interval, which defines how often an alert generates repeated actions. NOTE: You cannot specify the throttle interval at both the rule and action level. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values.

kibana_alerting_post_rule_id_disable

Disable a rule Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the rule.
untrackbooleanNoDefines whether this rule’s alerts should be untracked.

kibana_alerting_post_rule_id_enable

Enable a rule Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the rule.

kibana_alerting_post_rule_id_mute_all

Mute all alerts Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the rule.

kibana_alerting_post_rule_id_snooze_schedule

Schedule a snooze for the rule Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesIdentifier of the rule.
scheduleobjectYesThe schedule value

kibana_alerting_post_rule_id_unmute_all

Unmute all alerts Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the rule.

kibana_alerting_post_rule_id_update_api_key

Update the API key for a rule Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the rule.

kibana_alerting_post_rule_rule_id_alert_alert_id_mute

Mute an alert Parameters:
ParameterTypeRequiredDefaultDescription
rule_idstringYesThe identifier for the rule.
alert_idstringYesThe identifier for the alert.
validate_alerts_existencebooleanNoWhether to validate the existence of the alert.

kibana_alerting_post_rule_rule_id_alert_alert_id_unmute

Unmute an alert Parameters:
ParameterTypeRequiredDefaultDescription
rule_idstringYesThe identifier for the rule.
alert_idstringYesThe identifier for the alert.

kibana_alerting_post_rules_backfill_find

Find backfills for rules Parameters:
ParameterTypeRequiredDefaultDescription
endstringNoThe end date for filtering backfills.
pagenumberNoThe page number to return.
per_pagenumberNoThe number of backfills to return per page.
rule_idsstringNoA comma-separated list of rule identifiers.
initiatorstringNoThe initiator of the backfill, either user for manual backfills or system for automatic gap fills.
startstringNoThe start date for filtering backfills.
sort_fieldstringNoThe field to sort backfills by.
sort_orderstringNoThe sort order.

kibana_alerting_post_rules_backfill_schedule

Schedule a backfill for rules Parameters:
ParameterTypeRequiredDefaultDescription
bodyobject[]NoRequest body

kibana_alerting_put_actions_connector_id

Update a connector Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesAn identifier for the connector.
configobjectNoThe connector configuration details.
namestringYesThe display name for the connector.
secretsobjectNoThe secrets value

kibana_alerting_put_rule_id

Update a rule Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe identifier for the rule.
actionsobject[]NoThe actions value
alert_delayobjectNoIndicates that an alert occurs only when the specified number of consecutive runs met the rule conditions.
artifactsobjectNoThe artifacts value
flappingobjectNoWhen flapping detection is turned on, alerts that switch quickly between active and recovered states are identified as “flapping” and notifications are reduced.
namestringYesThe name of the rule. While this name does not have to be unique, a distinctive name can help you identify a rule.
notify_whenstringNoIndicates how often alerts generate actions. Valid values include: onActionGroupChange: Actions run when the alert status changes; onActiveAlert: Actions run when the alert becomes active and at each check interval while the rule conditions are met; onThrottleInterval: Actions run when the alert becomes active and at the interval specified in the throttle property while the rule conditions are met. NOTE: You cannot specify notify_when at both the rule and action level. The recommended method is to set it for each action. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values.
paramsobjectNoThe parameters for the rule.
scheduleobjectYesThe schedule value
tagsstring[]NoThe tags value
throttlestringNoUse the throttle property in the action frequency object instead. The throttle interval, which defines how often an alert generates repeated actions. NOTE: You cannot specify the throttle interval at both the rule and action level. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values.